# This is the msttcorefonts spec file as distributed from
# http://corefonts.sourceforge.net/. 

%define name msttcorefonts
%define fontdir /usr/share/fonts/%{name}

Summary: TrueType core fonts for the web
Name: %{name}
Version: 2.1
Release: 1%{org_tag}%{dist}
License: Spec file is GPL. Fonts are distributable under the EULA in LICENCE.
Source: %{name}-%{version}.tar.gz
Group: User Interface/X
BuildRequires:  ttmkfdir
BuildRequires:  wget
BuildRequires:  cabextract
Requires:       /usr/bin/fc-cache
BuildRoot: /var/tmp/%{name}-root
BuildArch: noarch

%description
Microsft TrueType core fonts for the web available from
http://www.microsoft.com/typography/.

%prep
%setup -q

%build
rm -rf cab-contents fonts

mkdir cab-contents
mkdir fonts

for i in *.exe; do
    cabextract --lowercase --directory=cab-contents $i
done
cabextract --lowercase --directory=cab-contents cab-contents/viewer1.cab

cp cab-contents/*.ttf fonts
rm -f cab-contents/*

cd fonts
ttmkfdir > fonts.dir

%install
[ %{buildroot} != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}/%{fontdir}
cp fonts/*.ttf fonts/fonts.dir %{buildroot}/%{fontdir}

%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%post
if [ -x /usr/bin/fc-cache ]; then 
  /usr/bin/fc-cache /usr/share/fonts/gnu-free || : 
fi

%preun
if [ $1 -eq 0 -a -x /usr/bin/fc-cache ] ; then 
  /usr/bin/fc-cache /usr/share/fonts/gnu-free || : 
fi

%files
%attr(-,root,root) %{fontdir}

%changelog
* Thu Jun 07 2012 Gavin Carr <gavin@openfusion.com.au> 2.1-1
- remove currently broken font downloads, include fonts per EULA

* Sun May 07 2006 Noa Resare <noa@resare.com> 2.0-1
- checksums downloads
- random mirror
- use redistributable word 97 viewer as source for tahoma.ttf

* Mon Mar 31 2003 Daniel Resare <noa@resare.com> 1.3-4
- updated microsoft link
- updated sourceforge mirrors

* Mon Nov 25 2002 Daniel Resare <noa@resare.com> 1.3-3
- the install dir is now deleted when the package is uninstalled
- executable permission removed from the fonts
- executes fc-cache after install if it is available

* Thu Nov 07 2002 Daniel Resare <noa@resare.com> 1.3-2
- Microsoft released a new service-pack. New url for Tahoma font.

* Thu Oct 24 2002 Daniel Resare <noa@resare.com> 1.3-1
- removed python hack
- removed python hack info from description
- made tahoma inclusion depend on define
- added some info on the ttmkfdir define

* Tue Aug 27 2002 Daniel Resare <noa@resare.com> 1.2-3
- fixed spec error when tahoma is not included 

* Tue Aug 27 2002 Daniel Resare <noa@resare.com> 1.2-2
- removed tahoma due to unclear licensing
- parametrized ttmkfdir path (for mandrake users)
- changed description text to reflect the new microsoft policy

* Thu Aug 15 2002 Daniel Resare <noa@resare.com> 1.2-1
- changed distserver because microsoft no longer provides them

* Tue Apr 09 2002 Daniel Resare <noa@resare.com> 1.1-3
- fixed post/preun script to actually do what they were supposed to do

* Tue Mar 12 2002 Daniel Resare <noa@resare.com> 1.1-2
- removed cabextact from this package
- added tahoma font from ie5.5 update

* Fri Aug 25 2001 Daniel Resare <noa@metamatrix.se>
- initial version
